{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "cli": {
    "analytics": "0398a482-260e-4ce3-b33e-91ecf55f0703"
  },
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "ng-alain": {
      "projectType": "application",
      "root": "",
      "sourceRoot": "src",
      "prefix": "app",
      "schematics": {
        "@schematics/angular:component": {
          "style": "less"
        },
        "@schematics/angular:application": {
          "strict": true
        }
      },
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist",
            "index": "src/index.html",
            "main": "src/main.ts",
            "tsConfig": "tsconfig.app.json",
            "polyfills": "src/polyfills.ts",
            "assets": [
              "src/assets",
              "src/favicon.ico"
            ],
            "styles": [
              "node_modules/perfect-scrollbar/css/perfect-scrollbar.css",
              "node_modules/quill/dist/quill.snow.css",
              "src/styles.less",
              {
                "input": "src/styles/default.less",
                "bundleName": "default",
                "inject": false
              },
              {
                "input": "src/styles/compact.less",
                "bundleName": "compact",
                "inject": false
              }
            ],

            "scripts": [
              "node_modules/quill/dist/quill.min.js",
              "node_modules/perfect-scrollbar/dist/perfect-scrollbar.js",
              "node_modules/qrious/dist/qrious.min.js"
            ],
            "allowedCommonJsDependencies": [
              "ajv",
              "ajv-formats"
            ]
          },
          "configurations": {
            "production": {
              "fileReplacements": [{
                "replace": "src/environments/environment.ts",
                "with": "src/environments/environment.prod.ts"
              }],
              "outputHashing": "all",
              "budgets": [{
                "type": "initial",
                "maximumWarning": "4mb",
                "maximumError": "10mb"
              }]
            },
            "dev": {
              "fileReplacements": [{
                "replace": "src/environments/environment.ts",
                "with": "src/environments/eascs/environment.dev.ts"
              }],
              "outputHashing": "all",
              "budgets": [{
                "type": "initial",
                "maximumWarning": "4mb",
                "maximumError": "10mb"
              }]
            },
            "test": {
              "fileReplacements": [{
                "replace": "src/environments/environment.ts",
                "with": "src/environments/eascs/environment.test.ts"
              }],
              "outputHashing": "all",
              "budgets": [{
                "type": "initial",
                "maximumWarning": "4mb",
                "maximumError": "10mb"
              }]
            },
            "development": {
              "buildOptimizer": false,
              "optimization": false,
              "vendorChunk": true,
              "extractLicenses": false,
              "sourceMap": true,
              "namedChunks": true
            }
          },
          "defaultConfiguration": "production"
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "ng-alain:build",
            "proxyConfig": "proxy.conf.js"
          },
          "configurations": {
            "production": {
              "browserTarget": "ng-alain:build:production"
            },
            "dev": {
              "browserTarget": "app:build:dev"
            },
            "development": {
              "browserTarget": "ng-alain:build:development"
            }
          },
          "defaultConfiguration": "development"
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "ng-alain:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "polyfills": "src/polyfills.ts",
            "karmaConfig": "karma.conf.js",
            "tsConfig": "tsconfig.spec.json",
            "scripts": [
              "node_modules/quill/dist/quill.min.js",
              "node_modules/perfect-scrollbar/dist/perfect-scrollbar.js"
            ],
            "styles": [],
            "assets": [
              "src/assets"
            ]
          }
        },
        "lint": {
          "builder": "@angular-eslint/builder:lint",
          "options": {
            "lintFilePatterns": [
              "src/**/*.ts",
              "src/**/*.html"
            ]
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "e2e/protractor.conf.js",
            "devServerTarget": "ng-alain:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "ng-alain:serve:production"
            },
            "dev": {
              "devServerTarget": "app:build:dev"
            }
          }
        }
      }
    }
  },
  "defaultProject": "ng-alain"
}
